aboutsummaryrefslogtreecommitdiff
path: root/.ci/build-manylinux-wheels.sh
diff options
context:
space:
mode:
Diffstat (limited to '.ci/build-manylinux-wheels.sh')
-rwxr-xr-x.ci/build-manylinux-wheels.sh29
1 files changed, 29 insertions, 0 deletions
diff --git a/.ci/build-manylinux-wheels.sh b/.ci/build-manylinux-wheels.sh
new file mode 100755
index 0000000..6d78104
--- /dev/null
+++ b/.ci/build-manylinux-wheels.sh
@@ -0,0 +1,29 @@
+#!/bin/bash
+
+set -e -x
+
+# Compile wheels
+PYTHON="/opt/python/${PYTHON_VERSION}/bin/python"
+PIP="/opt/python/${PYTHON_VERSION}/bin/pip"
+${PIP} install --upgrade pip wheel
+${PIP} install --upgrade setuptools
+${PIP} install -r /io/.ci/requirements.txt
+make -C /io/ PYTHON="${PYTHON}"
+${PIP} wheel /io/ -w /io/dist/
+
+# Bundle external shared libraries into the wheels.
+for whl in /io/dist/*.whl; do
+ auditwheel repair $whl -w /io/dist/
+ rm /io/dist/*-linux_*.whl
+done
+
+# Grab docker host, where Postgres should be running.
+export PGHOST=$(ip route | awk '/default/ { print $3 }' | uniq)
+export PGUSER="postgres"
+
+PYTHON="/opt/python/${PYTHON_VERSION}/bin/python"
+PIP="/opt/python/${PYTHON_VERSION}/bin/pip"
+${PIP} install ${PYMODULE} --no-index -f file:///io/dist
+rm -rf /io/tests/__pycache__
+make -C /io/ PYTHON="${PYTHON}" testinstalled
+rm -rf /io/tests/__pycache__